Skip to main content
GET
/
facilities
/
{facilityId}
Retrieve a facility
curl --request GET \
  --url https://sandbox-api.finpace.example/v1/facilities/{facilityId} \
  --header 'Authorization: Bearer <token>'
{
  "facilityId": "fac_01JQ9MJCV2B7KAGZJ1EESX4TT8",
  "partyId": "<string>",
  "agreementId": "<string>",
  "facilityType": "term-loan",
  "approvedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "utilizedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "currency": "EUR",
  "status": "active",
  "pricingReference": "SME-RISK-BAND-03",
  "covenantStatus": "compliant",
  "nextPaymentDate": "2023-12-25"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

facilityId
string
required

Response

Facility returned

facilityId
string
Example:

"fac_01JQ9MJCV2B7KAGZJ1EESX4TT8"

partyId
string
agreementId
string
facilityType
string
Example:

"term-loan"

approvedAmount
object
utilizedAmount
object
currency
string
Example:

"EUR"

status
enum<string>
Available options:
active,
matured,
restructured,
closed,
defaulted
pricingReference
string
Example:

"SME-RISK-BAND-03"

covenantStatus
enum<string>
Available options:
compliant,
warning,
breached,
waived
nextPaymentDate
string<date>